[vset version 0.1]
[manpage_begin mlenc n [vset version]]
[copyright {2007 OHTSUKA, Yoshio <ohtsuka.yoshio@gmail.com>}]
[moddesc mlenc]
[titledesc {mlang.dll encoding}]
[require Tcl 8.4]
[require mlenc]
[description]
mlenc is a extension for encoding conversion with mlang.dll. The mlang.dll is a part of InternetExplorer. 
[section REQUIREMENTS]
[list_begin bullet]
[bullet] Windows
[bullet] InternetExplorer5.5+
[list_end]

[section COMMANDS]
[list_begin definitions]
[call [cmd mlenc::encoding] [opt options]]
the mlenc::encoding is an ensemble command. It requires a subcommand.
[call [cmd mlenc::encoding] [method convert] [arg fromEncoding] [arg toEncoding] [arg data]]
Convert specified encoding byte array to another encoding byte array. Encoding name can specify alias names or code page identifiers.
[call [cmd mlenc::encoding] [method convertto] [arg encoding] [arg data]]
Convert tcl internal string object to specified encoding byte array. Encoding name can specify alias names or code page identifiers.
[call [cmd mlenc::encoding] [method convertfrom] [arg encoding] [arg data]]
Convert byte array object to tcl internal string. Encoding name can specify alias names or code page identifiers.
[call [cmd mlenc::encoding] [method names]]
Show a list of code page identifiers.
[call [cmd mlenc::encoding] [method aliasnames]]
Show a list of alias names of code page identifiers. These alias names can be used instead of code page identifiers.
[call [cmd mlenc::encoding] [method aliasmaps]]
Show a list of mapping of alias names and code page identifiers. This command is used for what alias name is mapped to a code page identifier.

[list_end]

[section SAMPLE]
convert from x-euc-jp (cp51932) 
[example {
mlenc::encoding convertfrom 51932 $str
}]

convert from cp932 to utf-8 directry.
[example {
mlenc::encoding convert 932 utf-8 $str
}]

The [arg _autodetect] encoding is able to automatically distinguish between shiftjis and euc-jp. But it requires a bit long string. And it can not recognize utf-8.
[example {
set a [mlenc::encoding convertfrom _autodetect [encoding convertto euc-jp $str]]
set b [mlenc::encoding convertfrom _autodetect [encoding convertto shiftjis $str]]
}]

[section REFERENCES]
[list_begin enum]
[enum]
[uri {http://msdn2.microsoft.com/En-US/library/aa767865.aspx}]
[enum]
[uri {http://msdn2.microsoft.com/En-US/library/ms776446.aspx}]
[list_end]

[see_also encoding]
[keywords encoding mlang.dll mlenc]
[manpage_end]
